Aggiunti i file di progetto di Anjuta.
--- /dev/null
+<?xml version="1.0"?>
+<anjuta>
+ <plugin name="Git" mandatory="no">
+ <require group="Anjuta Plugin"
+ attribute="Location"
+ value="anjuta-git:Git"/>
+ </plugin>
+</anjuta>
--- /dev/null
+[Anjuta]
+Maximized=1
+Geometry=1024x687+0+24
+
+[File Loader]
+Files=../../src/main.c#19%%%../../configure.ac#6
+
+[Document Manager]
+bookmarks=<?xml version="1.0" encoding="UTF-8"?>\n<bookmarks/>\n
+
+[Project Manager]
+Shortcut=messi//src//messi
+Expand=messi
+
+[Execution]
+Run in terminal=2
+Working directories=../../../messi
+
+[Build]
+Configuration list=1:Default:%%%1:Debug:Debug%%%1:Profiling:Profiling%%%1:Optimized:Optimized
+Selected Configuration=Default
+BuildArgs/Default=--enable-maintainer-mode
+BuildArgs/Debug=--enable-maintainer-mode 'CFLAGS=-g -O0' 'CXXFLAGS=-g -O0' 'JFLAGS=-g -O0' 'FFLAGS=-g -O0'
+BuildArgs/Profiling=--enable-maintainer-mode 'CFLAGS=-g -pg' 'CXXFLAGS=-g -pg' 'JFLAGS=-g -pg' 'FFLAGS=-g -pg'
+BuildArgs/Optimized=--enable-maintainer-mode 'CFLAGS=-O2' 'CXXFLAGS=-O2' 'JFLAGS=-O2' 'FFLAGS=-O2'
+
+[Debugger]
+Stop at beginning=2
--- /dev/null
+<?xml version="1.0"?>
+<dock-layout>
+
+<layout name="__default__"><dock name="__dock_1" floating="no" width="-1" height="-1" floatx="0" floaty="0"><paned orientation="horizontal" locked="no" position="266"><notebook orientation="vertical" locked="no" page="0"><item name="AnjutaFileManager" orientation="vertical" locked="no"/><item name="AnjutaProjectManager" orientation="vertical" locked="no"/><item name="AnjutaSymbolDB" orientation="vertical" locked="no"/></notebook><item name="AnjutaDocumentManager" orientation="vertical" locked="no"/></paned></dock></layout></dock-layout>
*.o
*~
+messi.exe
src/messi
COPYING
INSTALL
--- /dev/null
+#!/bin/bash
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="opengov"
+
+(test -f $srcdir/configure.ac \
+ && test -d $srcdir/src \
+ && test -f $srcdir/src/main.c) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level "\`$PKG_NAME\'" directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from GNOME and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
+}
+
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
# -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.
+m4_define(major, 0)
+m4_define(minor, 0)
+m4_define(micro, 1)
+
AC_PREREQ([2.61])
-AC_INIT([messi], [0.0.1], [azagli@libero.it])
+AC_INIT([messi], [major.minor.micro], [azagli@libero.it])
AC_CONFIG_SRCDIR([src/main.c])
AC_CONFIG_HEADERS([config.h])
-AM_INIT_AUTOMAKE
+AM_INIT_AUTOMAKE(-Wall)
+
AM_MAINTAINER_MODE
+m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES([yes])])
+
AC_CANONICAL_SYSTEM
# Checks for programs.
# Checks for library functions.
+dnl ******************************
+dnl Check for Operating System
+dnl ******************************
+
+platform_win32=no
+
+case "$host" in
+*-mingw*)
+ platform_win32=yes
+ AC_CHECK_TOOL(WINDRES, windres, windres)
+ AC_SUBST(WINDRES)
+ ;;
+esac
+
+AM_CONDITIONAL(PLATFORM_WIN32, [test $platform_win32 = yes])
+
+AC_SUBST(V_MAJOR, major)
+AC_SUBST(V_MINOR, minor)
+AC_SUBST(V_MICRO, micro)
+
AC_CONFIG_FILES([
Makefile
data/Makefile
--- /dev/null
+<?xml version="1.0"?>
+<anjuta>
+ <plugin name="GBF Project Manager"
+ url="http://anjuta.org/plugins/"
+ mandatory="yes">
+ <require group="Anjuta Plugin"
+ attribute="Interfaces"
+ value="IAnjutaProjectManager"/>
+ </plugin>
+ <plugin name= "Autotools backend"
+ mandatory="yes">
+ <require group="Anjuta Plugin"
+ attribute="Location"
+ value="am-project:AmpPlugin"/>
+ </plugin>
+ <plugin name="Symbol Browser"
+ url="http://anjuta.org/plugins/"
+ mandatory="yes">
+ <require group="Anjuta Plugin"
+ attribute="Interfaces"
+ value="IAnjutaSymbolManager"/>
+ </plugin>
+ <plugin name="Make Build System"
+ url="http://anjuta.org/plugins/"
+ mandatory="yes">
+ <require group="Anjuta Plugin"
+ attribute="Interfaces"
+ value="IAnjutaBuildable"/>
+ <require group="Build"
+ attribute="Supported-Build-Types"
+ value="make"/>
+ </plugin>
+ <plugin name="Task Manager"
+ url="http://anjuta.org/plugins/"
+ mandatory="no">
+ <require group="Anjuta Plugin"
+ attribute="Interfaces"
+ value="IAnjutaTodo"/>
+ </plugin>
+ <plugin name="Debug Manager"
+ url="http://anjuta.org/plugins/"
+ mandatory="no">
+ <require group="Anjuta Plugin"
+ attribute="Interfaces"
+ value="IAnjutaDebugManager"/>
+ </plugin>
+</anjuta>